id: photoprism-panel

info:
  name: PhotoPrism Panel - Detect
  author: rxerium
  severity: info
  description: |
    PhotoPrism Panel was Detected
  reference:
    - https://photoprism.app/
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.title:PhotoPrism
  tags: photoprism,panel

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "<title>PhotoPrism</title>"

      - type: status
        status:
          - 200
# digest: 490a0046304402202fab5a2fc384158ae2dee87554c07a24fbfd24dc0515d498c1eb3b7b0dcae19b02203ad6ef5fed566aa2af75d9db7ce0f439e3ee8f936a258b1af65431fe7d9dcd8b:922c64590222798bb761d5b6d8e72950